tm-gnus 7.27 説明書（日本語版）
*******************************

This file documents tm, a MIME package for GNU Emacs.

GNU Emacs で MIME を楽しむための package である `tm' について説明します。

tm-gnus って何？
****************

*tm-gnus* は tm (see tm-kernel (tm-ja)) を使って
GNUS (see (gnus)) の MIME(see MIME (tm-ja)) 機能を強化するための
package です。

*[注意]*

     tm-gnus は GNUS 専用です。Gnus には gnus-mime (see
     (gnus-mime-ja)) を使います。

tm-gnus は summary buffer と article buffer の中にある
encoded-word(see encoded-word (tm-ja)) を decode します。また、
summary mode に tm-view (see (tm-view-ja)) を使った MIME message を
閲覧するための command を追加します。

Gnus 3.15 以降では automatic MIME preview 機能が support され、article
buffer の代わりに MIME preview buffer を表示することができます。これは
heavy MIME user にとって便利でしょう。

Summary buffer の decode
************************

tm-gnus を用いると、tm-view (see (tm-view-ja)) の機能を使って
Summary buffer 中の encoded-word(see encoded-word (tm-ja)) を decode
することができます。しかし、encoded-word のうち、その emacs で support
されない charset は decode されません。

Summary mode に追加される機能
*****************************

`M-t'
     MIME に関する表示 mode の toggle (*1)

`v'
     `mime/viewer-mode' に入り、message を閲覧する

  1.  automatic MIME preview support 版では automatic MIME preview を行
     なうかどうかの toggle. それ以外では RFC 1522 MIME encoded-word の
     decode に関する toggle.

mime/viewer-mode(see mime/viewer-mode (tm-view-ja)) は MIME message
を閲覧するための mode で、message の中を移動したり、対話的に message の
中の各 content を再生したりすることができます。

MIME message の inline 表示
***************************

GNUS 3.15 以降では *automatic MIME preview* 機能を利用することができます。
この機能を使うと Summary mode で記事を読む時、通常表示される Article
buffer の代わりに tm-view で処理された preview buffer を表示します。
(cf. (tm-view-ja))

このため、Quoted-Printable(see Quoted-Printable (tm-ja)) や
Base64(see Base64 (tm-ja)) で encode された記事を decode して表示する
ことができます。あるいは、text/enriched(see text/enriched (tm-ja)) 形
式のような書体や組版に関する情報を持った記事を整形して表示できます。当然
のことながら、multipart(see multipart (tm-ja)) の記事も正しく処理でき
ます。

metamail を使った場合と異なり、音の入った記事を読んだとたん、いきなり、
音が鳴り出したり、video の入った記事を読むたびに video が再生されたり、
anonymous ftp(see ftp (tm-ja)) や mail-server を利用した
external-message の入った記事を読むたびに anonymous ftp を実行したり、
mail を送ったりすることが防げます。こうした content は preview buffer の
中に入って再生 command を実行した時のみ再生されます。

しかしながら、遅い machine を使っていて、MIME 処理の overhead が気になる
場合、automatic MIME preview を抑止することができます。

 -- Variable: tm-gnus/automatic-mime-preview

     automatic MIME preview mode かどうかをあらわします。この変数は
     `gnus-show-mime' の初期値として使われる、一方、現在 preview buffer
     が使われているかどうかをあらわす flag としても使われます。

MIME message の作成
*******************

mime-setup(see mime-setup (tm-ja)) を使っている場合、tm-edit (see
(tm-edit-ja)) を用いた MIME message の作成を行うことができます。

*[注意]*

     mime-setup の標準設定では signature の自動挿入が抑制されます。

     (cf. mime-setup (tm-ja))

`C-c C-x C-m' (`mime-editor/insert-mail') に対する実装は標準では与えられ
ません。これは、Gnus と組み合わせるべき mail reader をどうすれば良いかが
判らないからです。

しかしながら、`mime-editor/mail-inserter-alist' の`news-reply-mode' の値
に設定したい実装を指定することで `C-c C-x C-m' を利用することができます。

例：MH の folder から取り込む場合
=================================

     (autoload 'tm-mh-e/insert-mail "tm-mh-e")

     (set-alist 'mime-editor/mail-inserter-alist
     	   'news-reply-mode (function tm-mh-e/insert-mail))

概念索引
********

preview:                        Automatic MIME Preview.  6.

変数索引
********